Subject: Re: bug#57325: 27.1; functions in ff-other-file-alist

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Aug 2022 19:49:47 +0300

> From: Felician Nemeth <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 29 Aug 2022 16:27:13 +0200
> 
> >> Also, when the function returns an absolute file name, then the
> >> returned file should be already opened, otherwise ff-find-other-file
> >> cannot find it.
> >
> > Hmm... not sure how this is relevant.  The function should return a
> > list of extensions, not a file name.  What am I missing?
> 
> In my case, the related file of foo.toml is bar.json.  From an extension
> it is not possible to guess whether the related file is bar.json or
> baz.json.  find-file.el of Emacs 27.1 has this in the Commentary
> section:
> 
> ;; These functions must return a list consisting of the possible names of the
> ;; corresponding file, with or without path.
> 
> That's why I thought my function could return an absolute file name.

If the returned list includes file names with leading directories,
find-file.el strips the leading directories and uses the basename to
match against.

Another thing to clarify in the docs?